diff options
Diffstat (limited to 'meta/recipes-devtools/tcf-agent')
| -rw-r--r-- | meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch | 96 |
1 files changed, 0 insertions, 96 deletions
diff --git a/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch b/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch deleted file mode 100644 index 8ea5b43d53..0000000000 --- a/meta/recipes-devtools/tcf-agent/tcf-agent/fix_tcf-agent.init.patch +++ /dev/null | |||
| @@ -1,96 +0,0 @@ | |||
| 1 | Upstream-Status: Inappropriate [poky-specific script] | ||
| 2 | |||
| 3 | --- a/Makefile | ||
| 4 | +++ b/Makefile | ||
| 5 | @@ -64,7 +64,7 @@ | ||
| 6 | install -d -m 755 $(INSTALLROOT)$(INCLUDE)/tcf/services | ||
| 7 | install -c $(BINDIR)/agent -m 755 $(INSTALLROOT)$(SBIN)/tcf-agent | ||
| 8 | install -c $(BINDIR)/client -m 755 $(INSTALLROOT)$(SBIN)/tcf-client | ||
| 9 | - install -c main/tcf-agent.init -m 755 $(INSTALLROOT)$(INIT)/tcf-agent | ||
| 10 | + install -c tcf-agent.init -m 755 $(INSTALLROOT)$(INIT)/tcf-agent | ||
| 11 | install -c config.h -m 755 $(INSTALLROOT)$(INCLUDE)/tcf/config.h | ||
| 12 | install -c -t $(INSTALLROOT)$(INCLUDE)/tcf/framework -m 644 framework/*.h | ||
| 13 | install -c -t $(INSTALLROOT)$(INCLUDE)/tcf/services -m 644 services/*.h | ||
| 14 | --- /dev/null | ||
| 15 | +++ b/tcf-agent.init | ||
| 16 | @@ -0,0 +1,80 @@ | ||
| 17 | +#!/bin/sh | ||
| 18 | +### BEGIN INIT INFO | ||
| 19 | +# Provides: tcf-agent | ||
| 20 | +# Default-Start: 3 5 | ||
| 21 | +# Default-Stop: 0 1 2 6 | ||
| 22 | +# Short-Description: Target Communication Framework agent | ||
| 23 | +### END INIT INFO | ||
| 24 | + | ||
| 25 | +DAEMON_PATH=/usr/sbin/tcf-agent | ||
| 26 | +DAEMON_NAME=`basename $DAEMON_PATH` | ||
| 27 | + | ||
| 28 | +. /etc/init.d/functions | ||
| 29 | + | ||
| 30 | +test -x $DAEMON_PATH || exit 0 | ||
| 31 | + | ||
| 32 | +PATH=/sbin:/usr/sbin:/bin:/usr/bin | ||
| 33 | +export PATH | ||
| 34 | + | ||
| 35 | +RETVAL=0 | ||
| 36 | + | ||
| 37 | +case "$1" in | ||
| 38 | + start) | ||
| 39 | + echo -n "Starting $DAEMON_NAME: " | ||
| 40 | + $DAEMON_PATH -d -L- -l0 | ||
| 41 | + RETVAL=$? | ||
| 42 | + if [ $RETVAL -eq 0 ] ; then | ||
| 43 | + echo "OK" | ||
| 44 | + touch /var/lock/subsys/$DAEMON_NAME | ||
| 45 | + else | ||
| 46 | + echo "FAIL" | ||
| 47 | + fi | ||
| 48 | + ;; | ||
| 49 | + | ||
| 50 | + stop) | ||
| 51 | + echo -n "Stopping $DAEMON_NAME: " | ||
| 52 | + count=0 | ||
| 53 | + pid=$(/bin/pidof $DAEMON_PATH) | ||
| 54 | + while [ -n "`/bin/pidof $DAEMON_PATH`" -a $count -lt 10 ] ; do | ||
| 55 | + kill $pid > /dev/null 2>&1 | ||
| 56 | + sleep 1 | ||
| 57 | + RETVAL=$? | ||
| 58 | + if [ $RETVAL != 0 -o -n "`/bin/pidof $DAEMON_PATH`" ] ; then | ||
| 59 | + sleep 3 | ||
| 60 | + fi | ||
| 61 | + count=`expr $count + 1` | ||
| 62 | + pid=$(/bin/pidof $DAEMON_PATH) | ||
| 63 | + done | ||
| 64 | + rm -f /var/lock/subsys/$DAEMON_NAME | ||
| 65 | + if [ -n "`/bin/pidof $DAEMON_PATH`" ] ; then | ||
| 66 | + echo "FAIL" | ||
| 67 | + else | ||
| 68 | + echo "OK" | ||
| 69 | + fi | ||
| 70 | + ;; | ||
| 71 | + | ||
| 72 | + restart) | ||
| 73 | + $0 stop | ||
| 74 | + sleep 1 | ||
| 75 | + $0 start | ||
| 76 | + ;; | ||
| 77 | + | ||
| 78 | + status) | ||
| 79 | + if [ -n "`/bin/pidof $DAEMON_PATH`" ] ; then | ||
| 80 | + echo "$DAEMON_NAME is running" | ||
| 81 | + else | ||
| 82 | + echo "$DAEMON_NAME is not running" | ||
| 83 | + fi | ||
| 84 | + ;; | ||
| 85 | + | ||
| 86 | + condrestart) | ||
| 87 | + [ -f /var/lock/subsys/$DAEMON_NAME ] && $0 restart | ||
| 88 | + ;; | ||
| 89 | + | ||
| 90 | + *) | ||
| 91 | + echo "usage: $0 { start | stop | restart | condrestart | status }" | ||
| 92 | + ;; | ||
| 93 | +esac | ||
| 94 | + | ||
| 95 | +exit $RETVAL | ||
| 96 | + | ||
